Trendtracker Connect
Endpoints

Search Topics

Search for topics by keyword and return the most relevant matches, ordered by name.

GET
/topics

Authorization

APIKeyHeader superAdmin
x-api-key<token>

In: header

Scope: superAdmin

Query Parameters

query?|

The query to search for.

skip?Skip

The number of results to skip, when paging.

Default0
Range0 <= value <= 1000
take?Take

The number of results to return, ordered by descending relevance.

Default10
Range0 <= value <= 100
topicSetIds?array<string>|null

Response Body

application/json

application/json

curl -X GET "https://connect-api.trendtracker.ai/topics"
{
  "data": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}